package com.persagy.apm.report.dependencies.centermiddleware.client.fallback;

import com.persagy.apm.report.dependencies.centermiddleware.client.CenterMiddlewareWebClient;
import feign.hystrix.FallbackFactory;
import org.springframework.stereotype.Component;

/**
 * feign fallback处理
 */
@Component
public class CenterMiddlewareWebClientFallbackFactory implements FallbackFactory<CenterMiddlewareWebClient> {
    @Override
    public CenterMiddlewareWebClient create(Throwable throwable) {
        return null;
    }
}
