package com.persagy.apm.report.dependencies.dmpalarm.model.dto;

import com.fasterxml.jackson.annotation.JsonInclude;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 报警请求 url 通用参数
 *
 * @author lixing
 * @version V1.0 2021/8/4 3:03 下午
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@JsonInclude(JsonInclude.Include.NON_NULL)
public class AlarmUrlParam implements Serializable {

    /**
     * 用户id
     */
    private String userId;

    /**
     * 集团编码
     */
    private String groupCode;

    /**
     * 项目Id
     */
    private String projectId;

    /**
     * 应用id
     */
    private String appId;

}
