package com.persagy.apm.report.dependencies.energyefficiencyweb.model.vo;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 能效情况数据vo类
 *
 * @author lixing
 * @version V1.0 2021/7/28 4:52 下午
 **/
@Data
@AllArgsConstructor
@NoArgsConstructor
public class EnergyEfficiencyDataVO {
    /**
     * 时间（格式：2021-08-01 00:00:00）
     */
    private String time;
    /**
     * 能效值
     */
    private String data;
}
