package com.persagy.apm.report.indicator.model.dto;

import com.persagy.apm.report.indicator.model.entity.EnergyUsageDefine;
import lombok.Data;

import java.util.Date;

/**
 * 查询能耗的入参
 *
 * @author lixing
 * @version V1.0 2021/7/23 6:08 下午
 **/
@Data
public class QueryEnergyUsageDTO {
    /**
     * 指标名称
     */
    private String functionName;
    /**
     * 指标定义
     */
    private EnergyUsageDefine define;
    /**
     * 项目id
     */
    private String projectId;
    /**
     * 报告月份
     */
    private Date reportMonth;
}
