package com.persagy.apm.report.paragraphs.service;

import com.persagy.apm.report.userconfig.paragraph.model.Paragraph;
import com.persagy.apm.report.outline.model.ReportOutline;

/**
 * 段落建造者接口
 *
 * @author lixing
 * @version V1.0 2021/7/20 9:39 上午
 **/
public interface IParagraphBuilder {
    /**
     * 保存段落的取值信息
     *
     * @param paragraph 段落对象
     * @param reportOutline 报告概要
     * @author lixing
     * @version V1.0 2021/7/20 10:36 上午
     */
    void saveParagraphValue(Paragraph paragraph, ReportOutline reportOutline);

}
