package com.persagy.apm.report.userconfig.paragraph.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import com.fasterxml.jackson.annotation.JsonInclude;

/**
 * @author lixing
 * @version V1.0 2021-07-15 17:46:14
 */
@Data
@ApiModel(value = "段落返回结果参数")
@JsonInclude(JsonInclude.Include.NON_NULL)
public class ParagraphItemVO {
    @ApiModelProperty("主键")
    private String id;

    @ApiModelProperty("段落名称")
    private String name;

    @ApiModelProperty("段落定义主键")
    private String defineId;

    @ApiModelProperty("段落定制主键")
    private String customId;
}
