package com.persagy.apm.report.userconfig.pargraphdefine.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.persagy.apm.common.model.entity.AuditableEntity;

import java.io.Serializable;

/**
 * 段落定义(ParagraphDefine)实体类
 *
 * @author lixing
 * @version V1.0 2021-07-20 10:23:08
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel(description = "段落定义")
public class ParagraphDefine extends AuditableEntity<ParagraphDefine> implements Serializable {
    private static final long serialVersionUID = -67623096692055538L;

    @ApiModelProperty("段落模板主键")
    private String modelId;

    @ApiModelProperty("包含的分组")
    private String groupIds;

    @ApiModelProperty("包含的条目")
    private String itemIds;


    public static String PROP_MODEL_ID = "model_id";
    public static String PROP_GROUP_IDS = "group_ids";
    public static String PROP_ITEM_IDS = "item_ids";

}
