package com.persagy.apm.report.userconfig.statisticsitems.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author lixing
 * @version V1.0 2021-07-27 16:11:59
 */
@Data
@ApiModel(value = "查询统计条目入参")
public class QueryStatisticItemDTO {
    @ApiModelProperty("编码")
    private String code;

    @ApiModelProperty(value = "合格标准", required = true)
    private String standardValue;

    @ApiModelProperty(value = "合格的判断公式", required = true)
    private String qualifyFormula;

    @ApiModelProperty(value = "合格的判断标准（展示用）", required = true)
    private String standardFlag;

}
