package com.persagy.apm.report.userconfig.statisticsitems.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonInclude;

/**
 * @author lixing
 * @version V1.0 2021-07-27 16:11:59
 */
@Data
@ApiModel(value = "统计条目返回结果参数")
@JsonInclude(JsonInclude.Include.NON_NULL)
public class StatisticItemItemVO {
    @ApiModelProperty("主键")
    private String id;

    @ApiModelProperty("功能点主键")
    private String functionId;

    @ApiModelProperty("合格标准")
    private String standardValue;

    @ApiModelProperty("合格的判断公式")
    private String qualifyFormula;

    @ApiModelProperty("合格的判断标准（展示用）")
    private String standardFlag;

    @ApiModelProperty("创建人")
    private String creator;

    @ApiModelProperty("创建时间")
    private Date creationTime;

    @ApiModelProperty("修改人")
    private String modifier;

    @ApiModelProperty("修改时间")
    private Date modifiedTime;

}
