package com.persagy.apm.report.dependencies.dmpalarm.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.Setter;

/**
 * 报警处理状态
 *
 * @author lixing
 * @version V1.0 2021/8/4 4:18 下午
 */
@AllArgsConstructor
public enum EnumAlarmTreatState {
    /**
     * 报警处理状态
     */
    UN_HANDLE(1, "未处理"),
    HANDLING(2, "处理中"),
    DONE(3, "处理完成"),
    IGNORE(4, "处理完成");

    @Setter
    @Getter
    private Integer type;

    @Setter
    @Getter
    private String desc;
}