package com.persagy.apm.report.dependencies.energyefficiencyweb.model.dto;

import lombok.Data;

/**
 * 查询能效数据dto
 *
 * @author lixing
 * @version V1.0 2021/7/28 4:57 下午
 **/
@Data
public class QueryEnergyEfficiencyDataDTO {
    /**
     * 开始时间
     */
    private String timeFrom;
    /**
     * 结束时间
     */
    private String timeTo;
    /**
     * 时间类型，可选项见EnergyEfficentTimeTypeEnum
     */
    private Integer timeType;
    /**
     * 项目id
     */
    private String projectId;
    /**
     * 能效指标id
     */
    private String targetId;
}
