package com.persagy.apm.report.detail.model.dto;

import com.persagy.apm.report.detail.model.vo.AttrValueVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @author lixing
 * @version V1.0 2021-05-17 11:08:35
 */
@Data
@ApiModel(value = "更新报告备注参数")
public class UpdateParagraphSupplementDTO {
    @NotNull(message = "段落id不能为空")
    @ApiModelProperty(value = "段落id", required = true)
    private String paragraphId;

    @ApiModelProperty(value = "补充说明")
    private List<AttrValueVO> supplement;
}
