package com.persagy.apm.report.indicator.manualfilling.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;

import lombok.Data;

import java.util.Date;

/**
 * @author lixing
 * @version V1.0 2021-07-27 09:52:21
 */
@Data
@ApiModel(value = "更新数据录入数据入参")
public class UpdateManualFillingDataDTO {
    @ApiModelProperty(value = "主键", required = true)
    @NotNull(message = "主键不能为空") // todo 更新校验规则
    private String id;

    @ApiModelProperty(value = "功能点id", required = true)
    @NotNull(message = "功能点id不能为空") // todo 更新校验规则
    private String functionId;

    @ApiModelProperty(value = "项目主键", required = true)
    @NotNull(message = "项目主键不能为空") // todo 更新校验规则
    private String projectId;

    @ApiModelProperty(value = "数据时间", required = true)
    @NotNull(message = "数据时间不能为空") // todo 更新校验规则
    private Date dataTime;

    @ApiModelProperty(value = "数据类型", required = true)
    @NotNull(message = "数据类型不能为空") // todo 更新校验规则
    private String type;

    @ApiModelProperty(value = "信息点的值", required = true)
    @NotNull(message = "信息点的值不能为空") // todo 更新校验规则
    private String value;

}
