package com.persagy.apm.report.indicator.manualfilling.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonInclude;

/**
 * @author lixing
 * @version V1.0 2021-07-27 09:52:21
 */
@Data
@ApiModel(value = "数据录入数据列表返回结果参数")
@JsonInclude(JsonInclude.Include.NON_NULL)
public class ManualFillingDataListItemVO {
    @ApiModelProperty("主键")
    private String id;

    @ApiModelProperty("功能点id")
    private String functionId;

    @ApiModelProperty("项目主键")
    private String projectId;

    @ApiModelProperty("数据时间")
    private Date dataTime;

    @ApiModelProperty("数据类型")
    private String type;

    @ApiModelProperty("创建人")
    private String creator;

    @ApiModelProperty("创建时间")
    private Date creationTime;

    @ApiModelProperty("修改人")
    private String modifier;

    @ApiModelProperty("修改时间")
    private Date modifiedTime;

    @ApiModelProperty("信息点的值")
    private String value;

}
