package com.persagy.apm.report.userconfig.paragraph.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;

import lombok.Data;

/**
 * @author lixing
 * @version V1.0 2021-07-15 17:46:13
 */
@Data
@ApiModel(value = "更新段落入参")
public class UpdateParagraphDTO {
    @ApiModelProperty(value = "主键", required = true)
    @NotNull(message = "主键不能为空") // todo 更新校验规则
    private String id;

    @ApiModelProperty(value = "段落名称", required = true)
    @NotNull(message = "段落名称不能为空") // todo 更新校验规则
    private String name;

    @ApiModelProperty(value = "段落定义主键", required = true)
    @NotNull(message = "段落定义主键不能为空") // todo 更新校验规则
    private String defineId;

    @ApiModelProperty(value = "段落定制主键", required = true)
    @NotNull(message = "段落定制主键不能为空") // todo 更新校验规则
    private String customId;

}
