package com.persagy.apm.report.userconfig.statisticsitems.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import com.persagy.apm.common.model.dto.PageDTO;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author lixing
 * @version V1.0 2021-07-27 16:11:59
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel(value = "分页查询统计条目入参")
public class PageQueryStatisticItemDTO extends PageDTO {
    @ApiModelProperty(value = "主键")
    private String id;

    @ApiModelProperty("编码")
    private String code;

    @ApiModelProperty(value = "合格标准")
    private String standardValue;

    @ApiModelProperty(value = "合格的判断公式")
    private String qualifyFormula;

    @ApiModelProperty(value = "合格的判断标准（展示用）")
    private String standardFlag;

}
