package com.persagy.apm.report.indicator.factory;

import com.persagy.apm.report.dependencies.energyefficiencyweb.model.vo.EnergyEfficiencyDataVO;
import com.persagy.apm.report.detail.model.vo.AttrValueVO;
import junit.framework.TestCase;
import org.assertj.core.util.Lists;

import java.util.Date;
import java.util.List;

public class EnergyEfficiencyFactoryTest extends TestCase {

    public void testGetDailyData() {
        EnergyEfficiencyFactory energyEfficiencyFactory = new EnergyEfficiencyFactory();
        List<EnergyEfficiencyDataVO> dailyEnergyEfficiency = Lists.newArrayList(
                new EnergyEfficiencyDataVO("2021-09-01 00:00:00", "10")
        );
        AttrValueVO dailyData = energyEfficiencyFactory.getDailyData(dailyEnergyEfficiency, new Date());
        System.out.println(dailyData);
    }

    public void testGetMaxDays() {
        EnergyEfficiencyFactory energyEfficiencyFactory = new EnergyEfficiencyFactory();
        List<EnergyEfficiencyDataVO> dailyEnergyEfficiency = Lists.newArrayList(
             new EnergyEfficiencyDataVO("2021-08-01 00:00:00", "10"),
             new EnergyEfficiencyDataVO("2021-08-02 00:00:00", "20"),
             new EnergyEfficiencyDataVO("2021-08-03 00:00:00", "10"),
             new EnergyEfficiencyDataVO("2021-08-04 00:00:00", "40"),
             new EnergyEfficiencyDataVO("2021-08-05 00:00:00", "5"),
             new EnergyEfficiencyDataVO("2021-08-06 00:00:00", "5"),
             new EnergyEfficiencyDataVO("2021-08-07 00:00:00", "10")
        );
        AttrValueVO maxDays = energyEfficiencyFactory.getMinDays(dailyEnergyEfficiency);
        System.out.println(maxDays.getValue());
    }
}